Classes | Enumerations

# valtext.h File Reference

## Classes
class | wxTextValidator
| wxTextValidator validates text controls, providing a variety of filtering behaviours. More...
## Enumerations
enum | wxTextValidatorStyle { wxFILTER_NONE, wxFILTER_EMPTY, wxFILTER_ASCII, wxFILTER_ALPHA, wxFILTER_ALPHANUMERIC, wxFILTER_DIGITS, wxFILTER_NUMERIC, wxFILTER_INCLUDE_LIST, wxFILTER_INCLUDE_CHAR_LIST, wxFILTER_EXCLUDE_LIST, wxFILTER_EXCLUDE_CHAR_LIST }
| Styles used by wxTextValidator. More...

## Enumeration Type Documentation

enum wxTextValidatorStyle

Styles used by wxTextValidator.

Note that when you specify more styles in wxTextValidator the validation checks are performed in the order in which the styles of this enumeration are defined.

Enumerator:

  wxFILTER_NONE | No filtering takes place.
  wxFILTER_EMPTY | Empty strings are filtered out. If this style is not specified then empty strings are accepted only if they pass the other checks (if you use more than one wxTextValidatorStyle).
  wxFILTER_ASCII | Non-ASCII characters are filtered out. See wxString::IsAscii.
  wxFILTER_ALPHA | Non-alpha characters are filtered out. Uses the wxWidgets wrapper for the standard CRT function `isalpha` (which is locale-dependent) on all characters of the string.
  wxFILTER_ALPHANUMERIC | Non-alphanumeric characters are filtered out. Uses the wxWidgets wrapper for the standard CRT function `isalnum` (which is locale-dependent) on all characters of the string.
  wxFILTER_DIGITS | Non-numeric characters are filtered out. Uses the wxWidgets wrapper for the standard CRT function `isdigit` (which is locale-dependent) on all characters of the string.
  wxFILTER_NUMERIC | Non-numeric characters are filtered out. Works like `wxFILTER_DIGITS` but allows also decimal points, minus/plus signs and the 'e' or 'E' character to input exponents. Note that this is not the same behaviour of wxString::IsNumber().
  wxFILTER_INCLUDE_LIST | Use an include list. The validator checks if the user input is on the list, complaining if not. See wxTextValidator::SetIncludes().
  wxFILTER_INCLUDE_CHAR_LIST | Use an include list. The validator checks if each input character is in the list (one character per list element), complaining if not. See wxTextValidator::SetCharIncludes().
  wxFILTER_EXCLUDE_LIST | Use an exclude list. The validator checks if the user input is on the list, complaining if it is. See wxTextValidator::SetExcludes().
  wxFILTER_EXCLUDE_CHAR_LIST | Use an exclude list. The validator checks if each input character is in the list (one character per list element), complaining if it is. See wxTextValidator::SetCharExcludes().

|  | [ top ]